#include <stdio.h>
#include <string.h>

#include "tcp.h"

unsigned char *putlong(unsigned char *d, unsigned long n)
{
   *d++ = (n >> 24) & 0xFF;
   *d++ = (n >> 16) & 0xFF;
   *d++ = (n >> 8) & 0xFF;
   *d++ = n & 0xFF;
   return d;
   }

unsigned char *getlong(unsigned long *n, unsigned char *s)
{
   unsigned long v;
   v = *s++;
   v = (v << 8) + *s++;
   v = (v << 8) + *s++;
   v = (v << 8) + *s++;
   *n = v;  return s;
   }

char *net_order = "4321";

int main(int argc, char *argv[])
{
   unsigned long x, y;
   unsigned char buf[5];

   getlong(&x, net_order);
   putlong(buf, x);
   buf[4] ='\0';
   printf("net=%s, x=%08lx, buf=%s\n", net_order, x, buf);

   y = ntohl(x);
   putlong(buf,y);
   printf("          y=%08lx, buf=%s\n", y, buf);
   }